import javax.swing.JFrame;
import java.io.BufferedReader;
import java.awt.Color;

class HeatMapFrame extends JFrame
{
    HeatMap panel;

    public HeatMapFrame() throws Exception
    {
        super("Heat Map Frame");
        this.setSize(500, 500);
        double[][] data = HeatMap.generateSinCosData(200);

        panel = new HeatMap(data, HeatMap.GRADIENT_BLUE_TO_RED);
        
        //you can make a custom gradient:
        panel.updateGradient(HeatMap.createMultiGradient(new Color[]{Color.blue, Color.green, Color.yellow}, 500));
        panel.setDrawLegend(true);

        panel.setTitle("Heat Map Frame");
        panel.setDrawTitle(true);

        panel.setXAxisTitle("Time (s)");
        panel.setDrawXAxisTitle(true);

        panel.setYAxisTitle("Distance (m)");
        panel.setDrawYAxisTitle(true);

        panel.setCoordinateBounds(-5, +5, -5, +5);
        panel.setDrawXTicks(true);
        panel.setDrawYTicks(true);

        this.getContentPane().add(panel);
        this.setDefaultCloseOperation(this.DISPOSE_ON_CLOSE);
        this.setVisible(true);
    }

    public static void main(String[] args) throws Exception
    {
        HeatMapFrame hmf = new HeatMapFrame();
    }

}
